Bug 515728 - Storeconfigs broken
Summary: Storeconfigs broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: puppet
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-05 14:12 UTC by Ruben Kerkhof
Modified: 2009-09-12 17:54 UTC (History)
3 users (show)

Fixed In Version: 0.24.8-4.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-11 23:24:30 UTC
Type: ---


Attachments (Terms of Use)

Description Ruben Kerkhof 2009-08-05 14:12:58 UTC
Description of problem:

When storeconfigs is enabled, puppet checks for activerecord by testing if a specific class is defined (ActiveRecord::Associations::BelongsToPolymorphicAssociation). This class doesn't exist anymore, so puppetmaster reports "Rails is missing; cannot store configurations"


Version-Release number of selected component (if applicable):
puppet-0.24.8-1.fc11.noarch
rubygem-activerecord-2.3.2-1.fc11.noarch


How reproducible:
Upgrade puppet to 0.24.8, do a puppet run.

  
Actual results:
Rails is missing; cannot store configurations

Expected results:
A successful puppet run.


Additional info:
This is fixed in upstream git:
http://github.com/reductivelabs/puppet/commit/8ed7ae3a23dd84dfc7ef835c2bb36f7ee4cfe9e5

Comment 1 Todd Zullinger 2009-08-08 02:16:04 UTC
Ruben,

Thanks for catching this and pointing out the upstream fix.  I've applied the patch from there and done a scratch build in koji.  This has a number of other fixes for 0.24.8.  If you have a moment to test and confirm whether these new packages fix the problem, it would be great!

http://koji.fedoraproject.org/koji/taskinfo?taskID=1590369

Comment 2 Ruben Kerkhof 2009-08-08 10:48:03 UTC
Thanks Todd, I've tested the updated packages and they're working fine.
One small thing though, you might want to mention in the changelog that puppet now includes vim syntax plugins.

Comment 3 Todd Zullinger 2009-08-08 13:24:33 UTC
Excellent.  Thanks for testing Ruben.  As far as the vim syntax plugins, we do mention it in the changelog:

* Fri May 29 2009 Todd Zullinger <tmz@pobox.com> - 0.24.8-2
- Make Augeas and SELinux requirements build time options
- Install emacs mode and vim syntax files (#491437)
- Include ext/ directory in %%doc

:-)

Comment 4 Ruben Kerkhof 2009-08-08 13:50:52 UTC
Mea culpa :-) Thanks for the fast response!

Comment 5 Fedora Update System 2009-08-10 15:04:22 UTC
puppet-0.24.8-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.fc10

Comment 6 Fedora Update System 2009-08-10 15:04:46 UTC
puppet-0.24.8-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.el5

Comment 7 Fedora Update System 2009-08-10 15:05:11 UTC
puppet-0.24.8-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.fc11

Comment 8 Fedora Update System 2009-08-10 15:05:36 UTC
puppet-0.24.8-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.el4

Comment 9 Fedora Update System 2009-08-11 20:37:05 UTC
puppet-0.24.8-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0262

Comment 10 Fedora Update System 2009-08-11 20:37:35 UTC
puppet-0.24.8-4.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0253

Comment 11 Fedora Update System 2009-08-11 22:34:04 UTC
puppet-0.24.8-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8477

Comment 12 Fedora Update System 2009-08-11 22:38:29 UTC
puppet-0.24.8-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8494

Comment 13 Fedora Update System 2009-09-11 23:24:03 UTC
puppet-0.24.8-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-09-11 23:36:49 UTC
puppet-0.24.8-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-09-12 17:52:10 UTC
puppet-0.24.8-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-09-12 17:53:42 UTC
puppet-0.24.8-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.